## ros-kinetic-rocon-app-manager 0.9.1

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_app_manager)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED COMPONENTS roslint)
if (CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
endif()
catkin_package()

catkin_python_setup()

##############################################################################
# Installs
##############################################################################

install(
    PROGRAMS 
        scripts/concert_client.py
        scripts/standalone.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY param
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY icons
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

  
##############################################################################
# Unit Tests
##############################################################################

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== Makefile ===
#############################################################################################
# Build Documentation
#############################################################################################

NAME=$(notdir $(CURDIR))
LOCAL_DIR = $(shell pwd)/doc/html/
VERSION   = $(shell catkin_package_version .)
REMOTE_DIR:=files@files.yujin.com:shared/documentation/${NAME}/${VERSION}
REMOTE_SSH:=files@files.yujin.com
#	sed -i 's/nature/sphinx_rtd_theme/g' doc/conf.py

docs:
	rosdoc_lite .

upload:
	ssh ${REMOTE_SSH} 'mkdir -p shared/documentation/${NAME}/${VERSION}; rm -f shared/documentation/${NAME}/latest; ln -sf ${VERSION} shared/documentation/${NAME}/latest'
	rsync --delete --recursive --links --verbose ${LOCAL_DIR} ${REMOTE_DIR}

=== tests/rostests/CMakeLists.txt ===
##############################################################################
# Unit Tests
#
#   Only run when CATKIN_ENABLE_TESTING is true.
##############################################################################

find_package(catkin REQUIRED COMPONENTS rostest)
add_rostest(remappings/remappings.test)

=== debian/changelog ===
ros-kinetic-rocon-app-manager (0.9.1-0xenial) xenial; urgency=high

  * drop the master relay

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 15 Oct 2016 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.8.0-0xenial) xenial; urgency=high

  * provide args to the user so they can prepare for unique namespacing if necessary
  * move rapp launching into the root namespace and let the user decide where handles should go
  * advertise the rapp manager handles on the gateway by default for concert clients
  * simplified launchers into standalone and concert client
  * split standalone and concert classes rather than trying to mash them as one

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 09 Oct 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.13-0xenial) xenial; urgency=high

  * the cancel_flag should be False in start_app
  * attempts to flip public interface a couple of times. Then stopps rapp if it fails after all attempts. closes #297 <https://github.com/robotics-in-concert/rocon_app_platform/issues/297>
  * fix start_rapp stop rapp flipping #299 <https://github.com/robotics-in-concert/rocon_app_platform/issues/299>
  * cleans up flip connection logic in start/stop rapp closes #299 <https://github.com/robotics-in-concert/rocon_app_platform/issues/299>
  * print should not be here closes #298 <https://github.com/robotics-in-concert/rocon_app_platform/issues/298>
  * add gatewayname as launch arg only if it exists closes #295 <https://github.com/robotics-in-concert/rocon_app_platform/issues/295>
  * [rocon_app_manager] trivial
  * [rocon_app_manager] pass a ros compatible name to the rapp.
  * [rocon_app_manager] remove unnecessary, and old, comment.
  * [rocon_app_manager] bugfix the bugfix for status publishing
    Didn't look around properly - this corrects the last bugfix to make sure
    all variables are properly defined before publishing the status.
  * [rocon_app_manager] remove debug print.
  * [rocon_app_manager] base name handling should be same for uuids or not.
    Wasn't applying the correct conversion rules (lower, space->'_') for
    standalone mode so that the namespaced topics/services conform to ros
    conventions.
  * [rocon_app_manager] bugfix handling of nonexistant current rapp.
    Was mistakenly assuming that this is always available. This handles the
    case when it is None.
  * removing running rapps from listrapps
  * Contributors: AlexV, Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.12-0xenial) xenial; urgency=high

  * adding parameter to delay service creation (now only once) if gateway uuid is needed.
    changed standalone namespace to be robot_name (parameter) to match namespace with concert but without uuid
    added delay in spin
  * fix typo regarding constant definition in utils
  * [rocon_app_manager] status now publishes the runtime interfaces and parameters.
  * Contributors: AlexV, Daniel Stonier, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 26 May 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.11-0xenial) xenial; urgency=high

  * add webserver_address arg closes #285 <https://github.com/robotics-in-concert/rocon_app_platform/issues/285>
  * disable_zeroconf does not start zeroconf node #273 <https://github.com/robotics-in-concert/rocon_app_platform/issues/273>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 May 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.10-0xenial) xenial; urgency=high

  * [rocon_app_manager] remove install rule.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 03 May 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.9-0xenial) xenial; urgency=high

  * remove legacy paird.concert closes #282 <https://github.com/robotics-in-concert/rocon_app_platform/issues/282>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 Apr 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.8-0xenial) xenial; urgency=high

  * better warning for preferred rapp selection closes #274 <https://github.com/robotics-in-concert/rocon_app_platform/issues/274>
  * clean up launchers #279 <https://github.com/robotics-in-concert/rocon_app_platform/issues/279>
  * bugfix robot_naem arg location, fixes #276 <https://github.com/robotics-in-concert/rocon_app_platform/issues/276>.
  * set moo as default preferred chirp closes #275 <https://github.com/robotics-in-concert/rocon_app_platform/issues/275>
  * change warn to info closes #274 <https://github.com/robotics-in-concert/rocon_app_platform/issues/274>
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.7-0xenial) xenial; urgency=high

  * disable_zeroconf option availalble
  * bug fix in rapp installation process
  * Contributors: Jihoon Lee
  * bug fix in rapp installation process
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.6-0xenial) xenial; urgency=high

  * add log and typo fix
  * use auto_rapp_installation param to enable disable installer
  * disabl installer logic
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 11 Jan 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.5-0xenial) xenial; urgency=high

  * add rocon_interactions as run_depend closes #268 <https://github.com/robotics-in-concert/rocon_app_platform/issues/268>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.4-0xenial) xenial; urgency=high

  * ignore unncessay remapping rule #265 <https://github.com/robotics-in-concert/rocon_app_platform/issues/265>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 29 Dec 2014 15:00:00 -0000



=== debian/control ===
Source: ros-kinetic-rocon-app-manager
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-kinetic-catkin, ros-kinetic-roslint, ros-kinetic-rostest
Homepage: http://www.ros.org/wiki/rocon_app_manager
Standards-Version: 3.9.2

Package: ros-kinetic-rocon-app-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-capabilities, ros-kinetic-gateway-msgs, ros-kinetic-rocon-app-manager-msgs, ros-kinetic-rocon-app-utilities, ros-kinetic-rocon-apps, ros-kinetic-rocon-console, ros-kinetic-rocon-gateway, ros-kinetic-rocon-gateway-utils, ros-kinetic-rocon-hub, ros-kinetic-rocon-interactions, ros-kinetic-rocon-master-info, ros-kinetic-rocon-python-comms, ros-kinetic-rocon-python-utils, ros-kinetic-rocon-std-msgs, ros-kinetic-rocon-uri, ros-kinetic-roslib, ros-kinetic-rosmaster, ros-kinetic-rospy, ros-kinetic-std-msgs
Description: The public interface and retaskable interface for a robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rocon-app-manager//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
